Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.bytes.filters
Class Filter

    java.lang.Object
      org.pdfclown.bytes.filters.Filter

Direct Known Subclasses:
  ASCII85Filter, FlateFilter

    @PDF(value=PDF10)
    public abstract class Filter

extends Object

Abstract filter [PDF:1.6:3.3].

Since:
  0.0.2
Version:
  0.1.0
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Constructor Summary
`protected` | `Filter()`

Method Summary
`abstract byte[]` | `decode(byte[] data, int offset, int length, PdfDictionary parameters)`
`abstract byte[]` | `encode(byte[] data, int offset, int length, PdfDictionary parameters)`
`static Filter` | `get(PdfName name)` Gets a specific filter object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Filter

    protected Filter()

Method Detail

### get

    public static Filter get(PdfName name)

  Gets a specific filter object.

  Parameters:
    `name` - Name of the requested filter.
  Returns:
    Filter object associated to the name.

### decode

    public abstract byte[] decode(byte[] data,
                                  int offset,
                                  int length,
                                  PdfDictionary parameters)

### encode

    public abstract byte[] encode(byte[] data,
                                  int offset,
                                  int length,
                                  PdfDictionary parameters)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.